<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Installation &mdash; BayesWave 0.1 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Use of BayesWave in Scientific Publications" href="fairUse.html" />
    <link rel="prev" title="Welcome to BayesWave’s documentation!" href="index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> BayesWave
            <img src="_static/GW150914_LHO_100ms_noborder.png" class="logo" alt="Logo"/>
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">General Info:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Installation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#option-1-running-on-cit">Option 1: Running on CIT</a></li>
<li class="toctree-l2"><a class="reference internal" href="#option-2-conda-forge">Option 2: Conda forge</a></li>
<li class="toctree-l2"><a class="reference internal" href="#option-3-installing-from-source">Option 3: Installing from source</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="fairUse.html">Use of BayesWave in Scientific Publications</a></li>
<li class="toctree-l1"><a class="reference internal" href="workflow.html">BayesWave Workflow</a></li>
<li class="toctree-l1"><a class="reference internal" href="algo.html">Algorith Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="setupRun.html">Setting up a Run</a></li>
<li class="toctree-l1"><a class="reference internal" href="output.html">Using BayesWave Output</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Examples:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="xmlInj.html">Simulated signal from xml file</a></li>
<li class="toctree-l1"><a class="reference internal" href="GW150914.html">Real Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="MDC.html">Burst style MDCs</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">BayesWave</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
      <li class="breadcrumb-item active">Installation</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/gettingStarted.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="installation">
<h1>Installation<a class="headerlink" href="#installation" title="Permalink to this heading"></a></h1>
<section id="option-1-running-on-cit">
<h2>Option 1: Running on CIT<a class="headerlink" href="#option-1-running-on-cit" title="Permalink to this heading"></a></h2>
<p>If you are running on CIT, you can use environments with already existing <cite>BayesWave</cite> installations instead of installing yourself. The recommended environment is currently <cite>igwn-py39-testing</cite>.</p>
</section>
<section id="option-2-conda-forge">
<h2>Option 2: Conda forge<a class="headerlink" href="#option-2-conda-forge" title="Permalink to this heading"></a></h2>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="gp">$ </span>conda install -c conda-forge bayeswave
</pre></div>
</div>
</section>
<section id="option-3-installing-from-source">
<h2>Option 3: Installing from source<a class="headerlink" href="#option-3-installing-from-source" title="Permalink to this heading"></a></h2>
<p><em>Note: it is recommended to follow the fork/merge development model</em></p>
<p>Clone from the <cite>bayeswave</cite> repository</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="gp">$ </span>git clone git@git.ligo.org:lscsoft/bayeswave/git
</pre></div>
</div>
<p>Set up the conda environment. From the main <code class="code docutils literal notranslate"><span class="pre">bayeswave</span></code> directory, run the command</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="gp">$ </span>conda env create -f environment.yaml
</pre></div>
</div>
<p>Activate the environment via</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="gp">$ </span>conda activate bayeswave
</pre></div>
</div>
<p>Still from the <code class="code docutils literal notranslate"><span class="pre">bayeswave</span></code> directory, install via</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="gp">$ </span><span class="nb">export</span> <span class="nv">BAYESWAVE_PREFIX</span><span class="o">=</span><span class="si">${</span><span class="nv">HOME</span><span class="si">}</span>/opt/lscsoft/bayeswave
<span class="gp">$ </span>./install.sh <span class="si">${</span><span class="nv">BAYESWAVE_PREFIX</span><span class="si">}</span>
</pre></div>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Instead of <code class="code docutils literal notranslate"><span class="pre">${HOME}/opt/lscsoft/bayeswave</span></code> you can also use a directory of your choosing</p>
</div>
<p>Upon successful installation, you should be prompted to source the environment via</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="gp">$ </span><span class="nb">source</span> <span class="si">${</span><span class="nv">BAYESWAVE_PREFIX</span><span class="si">}</span>/etc/bayeswave-user-env.sh
</pre></div>
</div>
<p><em>TODO: is it confusing that there are two environments??</em></p>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="index.html" class="btn btn-neutral float-left" title="Welcome to BayesWave’s documentation!" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="fairUse.html" class="btn btn-neutral float-right" title="Use of BayesWave in Scientific Publications" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, Meg Millhouse.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>